/*
 * @Author: wuhao930406 1148547900@qq.com
 * @Date: 2023-10-17 10:14:53
 * @LastEditors: wuhao930406 1148547900@qq.com
 * @LastEditTime: 2023-10-17 15:58:12
 * @FilePath: /standaloneframe/frontend/src/layouts/index.jsx
 * @Description:
 *
 * Copyright (c) 2023 by ${git_name_email}, All Rights Reserved.
 */
import { Outlet, Helmet, useLocation, useModel, history, useAliveController } from "umi";
import { ConfigProvider, theme } from "antd";
import React, { useState, useMemo, useEffect } from "react";
import zhCN from "antd/locale/zh_CN";
import "dayjs/locale/zh-cn";
import dayjs from "dayjs";
import defaultSetting from "../../config/defaultSettings";
let loginpath = '/user/login';
dayjs.locale("zh-cn");

export default function Layout() {
  const { dropScope } = useAliveController();
  let token = localStorage.getItem('TAIANTOKEN')
  const { pathname } = useLocation();
  const { initialState: { routes }, setInitialState } = useModel("@@initialState");
  useEffect(() => {
    if (!token) {
      if(routes){
        const deleteArr = Object.keys(routes);
        deleteArr.map((it) => {
          dropScope(it);
        });
      };
      setInitialState((s) => {
        return {
          ...s,
          routes: {},
          currentUser: undefined,
          routesMenu: undefined,
          buttonPerm: undefined
        };
      });
      history.replace(loginpath);
    }
  }, [pathname]);

  return (
    <ConfigProvider
      theme={{
        token: {
          colorPrimary: '#0e5072'
        },
        components: {
          Button: {
            primaryShadow: '0 2px 0 rgba(5, 145, 255, 0.1)'
          },
          Input: {
            activeShadow: '0 2px 0 rgba(5, 145, 255, 0.1)'
          },
          InputNumber: {
            activeShadow: '0 2px 0 rgba(5, 145, 255, 0.1)'
          },
          Select: {

          }
        }


      }}
      locale={zhCN}
    >
      <div style={{ height: "100%" }}>
        {/* <Space
          align="center"
          direction="horizontal"
          split={<Divider type="vertical" />}
          style={{
            justifyContent: "space-bewteen",
            position: "fixed",
            zIndex: 9999,
            right: 24,
            top: 26,
          }}
        >
          <Switches
            value={mode}
            onChange={(val) => {
              setmode(val);
            }}
          ></Switches>
        </Space> */}
        <Helmet>
          <title>{defaultSetting.title}</title>
        </Helmet>
        <Outlet />
      </div>
    </ConfigProvider>
  );
}
